import org.xml.sax.*;
import org.xml.sax.helpers.*;


public class Handler extends DefaultHandler {
	//SAX calls this method when it encounters a start tag 
	public void startElement (String namespaceURI, 
				              String localName, 
				              String qualifiedName, 
				              Attributes atts) throws SAXException { 
		System.out.println("startElement: " + qualifiedName);
	}
	
	//SAX calls this method to pass in character data
	public void characters(char[] text, int start, int length)
			    throws SAXException {
		System.out.println("characters: " + new String(text, start, length));
	}
	
	//SAX calls this method when it encounters an end tag
	public void endElement(String namespaceURI,
						   String localName,
						   String qualifiedName) throws SAXException {
		System.out.println("endElement: /" + qualifiedName);
	}
}
